## glance 31.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
defusedxml>=0.7.1 # PSF

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=1.3.14 # MIT
eventlet>=0.33.3 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.8.1 # MIT
alembic>=0.9.6 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=8.1.0 # Apache-2.0
oslo.concurrency>=4.5.1 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=7.3.0 # Apache-2.0
stevedore!=3.0.0,>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=4.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=5.1.0 # Apache-2.0
WSME>=0.8.0 # MIT
PrettyTable>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=3.2.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0

oslo.db>=5.0.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.limit>=1.6.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=4.9.0 # Apache-2.0


debtcollector>=1.19.0 # Apache-2.0
cryptography>=2.6.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

castellan>=0.17.0 # Apache-2.0

=== debian/changelog ===
glance (2:31.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:52:53 +0200

=== debian/control ===
Source: glance
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 curl,
 procps,
 python3-alembic,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-debtcollector,
 python3-defusedxml,
 python3-elasticsearch,
 python3-eventlet (>= 0.33.3),
 python3-fixtures,
 python3-futurist,
 python3-glance-store (>= 4.9.0),
 python3-hacking,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-monotonic,
 python3-mysqldb,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.3.0),
 python3-oslotest,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sendfile,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 sqlite3,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/glance
Vcs-Git: https://salsa.debian.org/openstack-team/services/glance.git
Homepage: https://github.com/openstack/glance

Package: glance
Architecture: all
Depends:
 glance-api (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Depends:
 adduser,
 debconf,
 glance-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-glance (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-doc
Architecture: all
Section: doc
Breaks:
 python-glance-doc,
Replaces:
 python-glance-doc,
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 alembic,
 libxml2-dev,
 libxslt-dev,
 procps,
 python3-alembic,
 python3-boto3,
 python3-castellan,
 python3-cinderclient,
 python3-cryptography,
 python3-cursive,
 python3-debtcollector,
 python3-defusedxml,
 python3-eventlet (>= 0.33.3),
 python3-futurist,
 python3-glance-store (>= 4.9.0),
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-monotonic,
 python3-mysqldb,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.3.0),
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog | grep Date: | sed 's/Date: //')
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/glance-common.config debian/glance-common.postinst debian/glance-common.postrm debian/glance-api.config debian/glance-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build *.egg-info debian/po
	rm -rf doc/source/contributor/api aging
	rm -f doc/source/_static/*.sample || true
	rm -f run_tests.log
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm glance-common.postrm
	pkgos-merge-templates glance-api glance endpoint
	pkgos-merge-templates glance-common glance db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist:
	# glance.tests.unit.v2.test_tasks_resource.TestTasksController.test_create_with_live_time https://bugs.launchpad.net/glance/+bug/1868455
	# Failing:
	# glance.tests.unit.common.test_utils.TestUtils.test_single_store_http_disabled_and_http_in_url
	# glance.tests.unit.common.test_utils.TestUtils.test_single_store_http_enabled_and_http_in_url
	# glance.tests.unit.common.test_utils.TestUtils.test_single_store_http_enabled_and_http_not_in_url
	# Fails in python 3.13 (see https://bugs.launchpad.net/glance/+bug/2089746):
	# glance.tests.unit.v2.test_cache_management_api.TestCacheWorker.test_worker_lifecycle
	pkgos-dh_auto_test --no-py2 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*|.*async_\.flows\.test_ovf_process\.TestOvfProcessTask\.test_extract_ova_no_disk.*|.*test_tasks_resource\.TestTasksController\.test_create_with_live_time.*|.*common\.test_property_utils\.TestPropertyRulesWithRoles\.test_property_protection_with_missing_operation.*|.*common\.test_property_utils\.TestPropertyRulesWithRoles\.test_property_protection_with_misspelt_operation.*|common\.test_utils\.TestUtils\.test_single_store_http_disabled_and_http_in_url|common\.test_utils\.TestUtils\.test_single_store_http_enabled_and_http_in_url|common\.test_utils\.TestUtils\.test_single_store_http_enabled_and_http_not_in_url|v2\.test_cache_management_api\.TestCacheWorker\.test_worker_lifecycle)'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/glance-common/usr/share/glance-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf \
		--namespace castellan.config \
		--namespace glance.api \
		--namespace glance.store \
		--namespace os_brick \
		--namespace glance.multi_store \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.limit \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.reports

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf glance_store filesystem_store_datadir /var/lib/glance/images
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf oslo_concurrency lock_path /var/lock/glance
	# Do not persist build time CPU numbers. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-cache.conf \
		--namespace glance.cache \
		--namespace glance.store \
		--namespace os_brick \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-manage.conf \
		--namespace glance.manage \
		--namespace oslo.db \
		--namespace oslo.log
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-scrubber.conf \
		--namespace glance.scrubber \
		--namespace glance.store \
		--namespace os_brick \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-image-import.conf \
		--namespace glance
	mkdir -p $(CURDIR)/debian/glance-common/etc/glance/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/glance-common/etc/glance/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace glance

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/glance-common/etc/glance/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance.conf oslo_policy policy_dirs /etc/glance/policy.d

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing -Xusr/bin/glance-replicator

	install -D -m 0664 etc/glance-swift.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-swift.conf
	install -D -m 0664 etc/ovf-metadata.json.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/ovf-metadata.json
	install -D -m 0664 etc/property-protections-policies.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-policies.conf
	install -D -m 0664 etc/property-protections-roles.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-roles.conf

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glance-doc/usr/share/doc/glance-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## glance 31.0.0+git2026012615.9f4165f77

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 oslo.concurrency>=4.5.1 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-oslo.utils>=7.3.0 # Apache-2.0
+oslo.utils>=7.4.0 # Apache-2.0
 stevedore!=3.0.0,>=1.20.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
 taskflow>=4.0.0 # Apache-2.0

=== debian/changelog ===
glance (2:31.0.0+git2026012615.9f4165f77-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/p/*: Refresh.
  * New upstream release for OpenStack Gazpacho (LP: #2137590).
  * d/u/signing-key.asc: Remove for snapshot.
  * d/watch: Remove signing key piece for snapshot.
  * d/p/install-missing-files.patch: Extend patch.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 16:04:29 -0800

glance (2:31.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:36:33 +0200

glance (2:31.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 14:41:32 -0700

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/glance/ glance-(\d{1,2}\.\d.*)\.tar\.gz

## glance 2011.2~bzr108

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all
Build-Depends-Indep:
 python-support,
 python-setuptools,
 python-sphinx,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-nose,
 python-mox,
 python-webob,
 python-routes,
 python-eventlet,
 python-pastedeploy,
 python-migrate,
 python-argparse,
 python-swift,
 curl,
 pep8
Standards-Version: 3.9.1
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/glance/ubuntu/files/
Vcs-Bzr: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/glance/ubuntu/
XS-Debian-Vcs-Browser: http://bazaar.launchpad.net/~glance-core/debian/sid/glance/debian/files
XS-Debian-Vcs-Bzr: http://bazaar.launchpad.net/~glance-core/debian/sid/glance/debian

Package: python-glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-webob,
 python-routes,
 python-daemon,
 python-eventlet,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-pastedeploy,
 python-argparse,
 python-migrate
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, python-glance (= ${source:Version}), adduser, python-argparse
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1


DEB_PYTHON_SYSTEM=pysupport

#export DH_VERBOSE=1

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install
	mv debian/glance/etc/glance/glance.conf.sample debian/glance/etc/glance/glance.conf

override_dh_auto_test:
	bash run_tests.sh -N

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build
	python setup.py build_sphinx

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build
	rm -rf glance.sqlite

override_dh_installinit:
	dh_installinit --name glance-api
	dh_installinit --name glance-registry

=== debian/watch ===
version=3
http://launchpad.net/glance http://launchpad.net/glance/trunk/.*/glance-(.*)\.tar\.gz
http://glance.openstack.org/tarballs/ glance-(.*).tar.gz

## glance 2011.3~bzr132

=== debian/changelog ===
glance (2011.3~bzr132-0ubuntu1) oneiric; urgency=low

  [ Soren Hansen ]
  * Fix accidentally inverted logic that protects against upgrading
    shared databases.
  * Fix the call that is supposed to upgrade the sqlite database.
  * Make sure python modules are completely configured once python-
    glance's postinst is done. (LP: #778463)
  * Make sure doc/build exists once we try to build docs. We remove it
    on clean, and older versions of sphinx do not make sure to create
    it.

  [ Dan Prince ]
  * Add support for DEB_BUILD_OPTIONS=nocheck,nodocs.
  * Updated to support new glance-api.conf and glance-registry.conf files.
  * Updated log file locations in the upstart scripts to match new config
    file defaults.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 25 May 2011 15:57:15 +0200

## glance 2011.3~d1

=== debian/changelog ===
glance (2011.2~bzr128-0ubuntu1) UNRELEASED; urgency=low

  [ Soren Hansen ]
  * Fix accidentally inverted logic that protects against upgrading
    shared databases.
  * Fix the call that is supposed to upgrade the sqlite database.
  * Make sure python modules are completely configured once python-
    glance's postinst is done. (LP: #778463)
  * Make sure doc/build exists once we try to build docs. We remove it
    on clean, and older versions of sphinx do not make sure to create
    it.

  [ Dan Prince ]
  * Add support for DEB_BUILD_OPTIONS=nocheck,nodocs.
  * Updated to support new glance-api.conf and glance-registry.conf files.
  * Updated log file locations in the upstart scripts to match new config
    file defaults.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 05 May 2011 15:17:10 +0200

## glance 2011.3~d2~20110621.141

=== debian/changelog ===
glance (2011.3~d2~20110621.141-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control: Dropped python-daemon, its not used anywhere.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Jun 2011 14:05:52 -0400

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
 Depends: ${python:Depends}, ${misc:Depends},
  python-webob,
  python-routes,
- python-daemon,
  python-eventlet,
  python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
  python-pastedeploy,

=== debian/watch ===
version=3
http://launchpad.net/glance/+download http://launchpad.net/glance/.*/glance-(.*)\.tar\.gz
http://glance.openstack.org/tarballs/ glance-(.*).tar.gz

## glance 2011.3~d2

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python-migrate,
  python-argparse,
  python-swift,
+ python-httplib2,
  curl,
  pep8
 Standards-Version: 3.9.1

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,20 @@
 
 override_dh_install:
 	dh_install
-	mv debian/glance/etc/glance/glance.conf.sample debian/glance/etc/glance/glance.conf
 
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	bash run_tests.sh -N
+endif
 
 override_dh_auto_build:
 	dh_auto_build
-	mkdir -p doc/build
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	mkdir doc/build
 	python setup.py build_sphinx
+else
+	mkdir -p doc/build/html
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

## glance 2011.3~d3~20110707.151

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
  python-pastedeploy,
  python-migrate,
  python-argparse,
+ python-httplib2,
  python-swift,
- python-httplib2,
  curl,
  pep8
 Standards-Version: 3.9.1
@@ -35,6 +35,7 @@
 Depends: ${python:Depends}, ${misc:Depends},
  python-webob,
  python-routes,
+ python-daemon,
  python-eventlet,
  python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
  python-pastedeploy,

## glance 2011.3

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Soren Hansen <soren@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
- python-all
+ python-all (>= 2.6),
+ python-all-dev (>= 2.6.6-3~) | python-support,
 Build-Depends-Indep:
- python-support,
  python-setuptools,
  python-sphinx,
  python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
@@ -19,13 +19,15 @@
  python-argparse,
  python-httplib2,
  python-swift,
+ python-boto,
+ python-kombu,
  curl,
  pep8
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
-Vcs-Browser: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/glance/ubuntu/files/
-Vcs-Bzr: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/glance/ubuntu/
+Vcs-Browser: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/glance/ubuntu/files/
+Vcs-Bzr: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/glance/ubuntu/
 XS-Debian-Vcs-Browser: http://bazaar.launchpad.net/~glance-core/debian/sid/glance/debian/files
 XS-Debian-Vcs-Bzr: http://bazaar.launchpad.net/~glance-core/debian/sid/glance/debian
 
@@ -35,12 +37,13 @@
 Depends: ${python:Depends}, ${misc:Depends},
  python-webob,
  python-routes,
- python-daemon,
  python-eventlet,
  python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
  python-pastedeploy,
  python-argparse,
- python-migrate
+ python-migrate,
+ python-kombu,
+ python-xattr
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: OpenStack Image Registry and Delivery Service - Python library

## glance 2012.1~e1

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 python-all
Build-Depends-Indep:
 python-setuptools,
 python-sphinx,
 python-distutils-extra,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-nose,
 python-webob,
 python-migrate,
 python-routes,
 python-boto,
 python-kombu
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/glance.git

Package: python-glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-webob,
 python-routes,
 python-daemon,
 python-eventlet,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-pastedeploy,
 python-argparse,
 python-migrate,
 python-kombu,
 python-xattr,
 python-crypto
Description: OpenStack Image Registry and Delivery Service - library
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, python-glance (= ${source:Version}),
 lsb-base (>= 3.0.6),
 adduser, 
 python-argparse,
 python-httplib2
Description: OpenStack Image Registry and Delivery Service - daemons
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build
	python setup.py build_sphinx

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build doc/build glance.egg-info po/glance.pot glance/vcsversion.py
	rm -rf glance.sqlite

override_dh_installinit:
	dh_installinit --name glance-api
	dh_installinit --name glance-registry

## glance 2012.1~e2

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 python-setuptools,
 python-sphinx,
 python-distutils-extra,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-nose,
 python-webob,
 python-migrate,
 python-routes,
 python-boto,
 python-kombu,
 python-httplib2 (>= 0.6.0)
Standards-Version: 3.9.2
Homepage: http://launchpad.net/glance
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/glance.git

Package: python-glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-webob,
 python-routes,
 python-daemon,
 python-eventlet,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-pastedeploy,
 python-argparse,
 python-migrate,
 python-kombu,
 python-xattr,
 python-crypto,
 python-httplib2 (>= 0.6.0)
Description: OpenStack Image Registry and Delivery Service - Python client library
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python client libraries.

Package: glance-common
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e2-3)
Depends: ${python:Depends}, ${misc:Depends},
    adduser,
    python-eventlet,
    python-glance (= ${source:Version}),
    python-migrate,
    python-routes,
    python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
    python-xattr
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-api
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e2-3)
Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance api server.

Package: glance-registry
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e2-3)
Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

Package: glance
Architecture: all
Section: python
Depends: glance-api (= ${source:Version}), glance-registry (= ${source:Version}),
 ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a dependency package.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,3 @@
 	dh_auto_clean
 	rm -rf build doc/build glance.egg-info po/glance.pot glance/vcsversion.py
 	rm -rf glance.sqlite
-
-override_dh_installinit:
-	dh_installinit --name glance-api
-	dh_installinit --name glance-registry

## glance 2012.1~e2+git66-gea99d1c

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
  python-migrate,
  python-routes,
  python-boto,
- python-kombu,
- python-httplib2 (>= 0.6.0)
+ python-kombu
 Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/glance.git
@@ -38,8 +38,8 @@
  python-migrate,
  python-kombu,
  python-xattr,
- python-crypto,
- python-httplib2 (>= 0.6.0)
+ python-crypto
+Provides: ${python:Provides}
 Description: OpenStack Image Registry and Delivery Service - Python client library
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
@@ -51,7 +51,6 @@
 Package: glance-common
 Architecture: all
 Section: python
-Replaces: glance (<< 2012.1~e2-3)
 Depends: ${python:Depends}, ${misc:Depends},
     adduser,
     python-eventlet,
@@ -71,7 +70,7 @@
 Package: glance-api
 Architecture: all
 Section: python
-Replaces: glance (<< 2012.1~e2-3)
+Replaces: glance (<< 2012.1~e1-2)
 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
 Description: OpenStack Image Registry and Delivery Service - API
  The Glance project provides an image registration, discovery and
@@ -84,7 +83,7 @@
 Package: glance-registry
 Architecture: all
 Section: python
-Replaces: glance (<< 2012.1~e2-3)
+Replaces: glance (<< 2012.1~e2-2)
 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
 Description: OpenStack Image Registry and Delivery Service - Registry
  The Glance project provides an image registration, discovery and

## glance 2012.1~e3

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
- python-all (>= 2.6.6-3~)
+ python-all (>= 2.6.6-3~),
+ po-debconf
 Build-Depends-Indep:
  python-setuptools,
  python-sphinx,
@@ -17,9 +18,9 @@
  python-migrate,
  python-routes,
  python-boto,
- python-kombu
+ python-kombu,
+ python-httplib2 (>= 0.6.0)
 Standards-Version: 3.9.2
-X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/glance.git
@@ -38,8 +39,8 @@
  python-migrate,
  python-kombu,
  python-xattr,
- python-crypto
-Provides: ${python:Provides}
+ python-crypto,
+ python-httplib2 (>= 0.6.0)
 Description: OpenStack Image Registry and Delivery Service - Python client library
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
@@ -51,6 +52,7 @@
 Package: glance-common
 Architecture: all
 Section: python
+Replaces: glance (<< 2012.1~e2-3)
 Depends: ${python:Depends}, ${misc:Depends},
     adduser,
     python-eventlet,
@@ -58,7 +60,8 @@
     python-migrate,
     python-routes,
     python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
-    python-xattr
+    python-xattr,
+    python-paste
 Description: OpenStack Image Registry and Delivery Service - Common
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
@@ -70,8 +73,8 @@
 Package: glance-api
 Architecture: all
 Section: python
-Replaces: glance (<< 2012.1~e1-2)
-Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
+Replaces: glance (<< 2012.1~e2-3)
+Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version}), debconf
 Description: OpenStack Image Registry and Delivery Service - API
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
@@ -83,7 +86,7 @@
 Package: glance-registry
 Architecture: all
 Section: python
-Replaces: glance (<< 2012.1~e2-2)
+Replaces: glance (<< 2012.1~e2-3)
 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
 Description: OpenStack Image Registry and Delivery Service - Registry
  The Glance project provides an image registration, discovery and

## glance 2012.1~e4

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python-kombu,
  python-httplib2 (>= 0.6.0)
 Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/glance.git
@@ -34,8 +35,7 @@
  python-daemon,
  python-eventlet,
  python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
- python-pastedeploy,
- python-argparse,
+ python (>= 2.7) | python-argparse,
  python-migrate,
  python-kombu,
  python-xattr,
@@ -55,13 +55,15 @@
 Replaces: glance (<< 2012.1~e2-3)
 Depends: ${python:Depends}, ${misc:Depends},
     adduser,
+    debconf,
     python-eventlet,
     python-glance (= ${source:Version}),
     python-migrate,
     python-routes,
     python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
     python-xattr,
-    python-paste
+    python-paste,
+    python-iso8601
 Description: OpenStack Image Registry and Delivery Service - Common
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
@@ -87,7 +89,7 @@
 Architecture: all
 Section: python
 Replaces: glance (<< 2012.1~e2-3)
-Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
+Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version}), debconf, dbconfig-common
 Description: OpenStack Image Registry and Delivery Service - Registry
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and

## glance 2012.1~rc1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe@debian.org>
+           Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 7.0.50),
  python-all (>= 2.6.6-3~),
  po-debconf
@@ -20,7 +20,7 @@
  python-boto,
  python-kombu,
  python-httplib2 (>= 0.6.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
@@ -63,7 +63,9 @@
     python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
     python-xattr,
     python-paste,
-    python-iso8601
+    python-iso8601,
+    python-dateutil,
+    python-crypto
 Description: OpenStack Image Registry and Delivery Service - Common
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	debconf-updatepo
 	rm -rf build doc/build glance.egg-info po/glance.pot glance/vcsversion.py
 	rm -rf glance.sqlite

## glance 2012.1

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")

%:
	dh $@ ${WITH_PYTHON2}

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	bash run_tests.sh -N
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir doc/build
	python setup.py build_sphinx
else
	mkdir -p doc/build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build
	rm -rf glance.sqlite

override_dh_installinit:
	dh_installinit --name glance-api
	dh_installinit --name glance-registry

## glance 2012.1.1

=== debian/changelog ===
glance (2012.1.1-5) unstable; urgency=high

  * CVE-2013-1840: fixes "Backend credentials leak in Glance v1 API"
    (Closes: #703063).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Mar 2013 04:35:22 +0800

glance (2012.1.1-4) unstable; urgency=high

  * CVE-2013-0212: Backend password leak in Glance error message. Note that
    only setups that use the single-tenant Swift store are affected.
    (Closes: #699270).

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Jan 2013 15:56:12 +0000

glance (2012.1.1-3) unstable; urgency=high

  * New upstream patch for CVE-2012-4573. Previous patch is to be discarded,
  according to bcwaldon on IRC (Closes: #692641).

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Nov 2012 18:38:02 +0000

glance (2012.1.1-2) unstable; urgency=high

  * Added Chinese Debconf translation, thanks to ben <duyujie.dyj@gmail.com>.
  * CVE-2012-4573: Authentication bypass for image deletion (Closes: #692641).
  * Fixes test_interrupt_avoids_respawn_storm fails when run under fakeroot
  disabling the tests (Closes: #681582). Also adds a || true since pep8 is
  neatpicking a source code line as too large.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Aug 2012 12:05:22 +0000

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 7.0.50),
 po-debconf,
 python-all (>= 2.6.6-3~),
 sqlite3
Build-Depends-Indep:
 curl,
 pep8,
 python-boto,
 python-crypto,
 python-eventlet,
 python-httplib2 (>= 0.6.0),
 python-iso8601,
 python-kombu,
 python-novaclient,
 python-migrate,
 python-mox,
 python-nose,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-setuptools,
 python-sphinx,
 python-sqlalchemy,
 python-swift,
 python-webob,
 python-xattr,
 procps
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/glance.git

Package: python-glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-boto,
 python-crypto,
 python-eventlet,
 python-httplib2 (>= 0.6.0),
 python-iso8601,
 python-kombu,
 python-migrate,
 python-pastedeploy,
 python-routes,
 python-sqlalchemy,
 python-swift,
 python-webob,
 python-xattr
Description: OpenStack Image Service - Python client library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python client libraries.

Package: glance-common
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e2-3)
Depends: ${python:Depends}, ${misc:Depends},
 python-glance (= ${source:Version}),
 adduser,
 debconf,
Description: OpenStack Image Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-api
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 glance-common (= ${source:Version})
Description: OpenStack Image Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
  .
 This package contains the Glance API server.

Package: glance-registry
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 glance-common (= ${source:Version}),
 dbconfig-common,
 debconf
Description: OpenStack Image Service - registry server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance registry server.

Package: glance
Architecture: all
Section: python
Depends: glance-api (= ${source:Version}), glance-registry (= ${source:Version}),
 ${misc:Depends}
Description: OpenStack Image Service - metapackage
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a dependency package to install all of the Glance suite.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Description: OpenStack Image Service - Python library documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python client library documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	bash run_tests.sh -N || true
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build
	python setup.py build_sphinx
else
	mkdir -p doc/build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	debconf-updatepo
	rm -rf build doc/build glance.egg-info po/glance.pot glance/vcsversion.py
	rm -rf glance.sqlite

get-vcs-source:
	git remote add upstream git://github.com/openstack/glance.git || true
	git fetch upstream
	if ! [ -f ../glance_2012.1.orig.tar.xz ] ; then git archive --prefix=glance-2012.1/ 2012.1 | xz >../glance_2012.1.orig.tar.xz ; fi
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout debian/unstable

=== debian/watch ===
version=3
https://launchpad.net/glance/+download https://launchpad.net/glance/.*/glance-(.*)\.tar\.gz
http://glance.openstack.org/tarballs/ glance-(.*).tar.gz
